Package org.stianloader.picoresolve.repo

# Interface MavenRepository

All Known Implementing Classes:
  `URIMavenRepository`

public interface MavenRepository

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getPlaintextURL()`
`@NotNull String`
`getRepositoryId()`
`@NotNull CompletableFuture<RepositoryAttachedValue<byte[]>>`
`getResource(@NotNull String path, @NotNull Executor executor)`
`long`
`getUpdateIntervall()`
Obtains the interval between which cached resources from this repository should get invalidated.

## Method Details

### getResource

@NotNull @NotNull CompletableFuture<RepositoryAttachedValue<byte[]>> getResource(@NotNull @NotNull String path, @NotNull @NotNull Executor executor)

### getRepositoryId

@NotNull @Contract(pure=true) @NotNull String getRepositoryId()

### getPlaintextURL

@NotNull @Contract(pure=true) @NotNull String getPlaintextURL()

### getUpdateIntervall

@Contract(pure=true) long getUpdateIntervall()
Obtains the interval between which cached resources from this repository should get invalidated.

Returns:
  The interval, in milliseconds